package com.gary.msr.proto;

public class MSRLayer {
	public static final int INVALIND_LAYER_NUM = -1;

	public int num = INVALIND_LAYER_NUM;
	public int dataLen;
	public int[] data;

	public MSRLayer(int n, int dLen) {
		num = n;
		dataLen = dLen;
		data = new int[dLen];
	}

	public MSRLayer() {
	}

	public void setData(int[] ds) {
		if (ds == null)
			return;
		if (ds.length != dataLen)
			return;
		System.arraycopy(ds, 0, data, 0, dataLen);
	}
}
